- Main Page
- Data Structures
- Files
- Directories

- Search for |

- File List
- Globals

# copyvirtualspace.c File Reference

`#include <vmm/vmm.h>`
`#include <sys/kern_sysctl.h>`
`#include <ubixos/spinlock.h>`
`#include <ubixos/kpanic.h>`
`#include <string.h>`

Include dependency graph for copyvirtualspace.c:

Go to the source code of this file.

## Functions
void * | vmmCopyVirtualSpace (pidType pid)
## Variables
static spinLock_t | cvsSpinLock = SPIN_LOCK_INITIALIZER

## Function Documentation

void* vmmCopyVirtualSpace | ( | pidType | pid | ) |

Definition at line 53 of file copyvirtualspace.c.

References adjustCowCounter(), cvsSpinLock, kpanic(), memset(), PAGE_COW, PAGE_DEFAULT, PAGE_STACK, pageEntries, parentPageDirAddr, spinLock(), spinUnlock(), tablesBaseAddress, vmm_getPhysicalAddr(), vmmGetFreeKernelPage(), vmmUnmapPage(), x1, and x1000.

Referenced by fork_copyProcess().

Here is the call graph for this function:

## Variable Documentation

spinLock_t cvsSpinLock = SPIN_LOCK_INITIALIZER`[static]`

Definition at line 36 of file copyvirtualspace.c.

Referenced by vmmCopyVirtualSpace().